Skip to content
Last updated

Retrieve all access grants for a specific assistant.

GEThttps://api.aitronos.com/v1/organizations/{organization_id}/assistants/{assistant_id}/grants

Returns a paginated list of access grants associated with a specific assistant. This is a convenience endpoint equivalent to listing grants filtered by entity_type=assistant and entity_id={assistant_id}.

Path Parameters

organization_id string required

The unique identifier of the organization (format: org_*).

assistant_id string required

The unique identifier of the assistant (format: asst_*).

Query Parameters

skip integer optional · Defaults to 0

Number of items to skip for pagination.

limit integer optional · Defaults to 20

Maximum number of items to return (1-100).


Returns

A paginated list of access grant objects with items, total, skip, limit, and has_more fields.

cURL
curl -s -X GET "https://api.aitronos.com/v1/organizations/org_xyz789/assistants/asst_abc123/grants?limit=10" \
  -H "Authorization: Bearer $ACCESS_TOKEN"